/*************************************************************************
 *                                                                       *
 *                              VARS.JS                                  *
 *                                                                       *
 *************************************************************************
 *                                                                       *
 * This file contains the definitions for variables that are used by the *
 * patch html and javascript.  They must be updated for each new patch.  *
 *                                                                       *
 ************************************************************************/

/*************************************************************************
 * patchDir is the subdirectory where the patch files will be placed     *
 *                                                                       *
 * patchFile is the batch file or exectuatble that will be run from      *
 *        patchDir                                                       *
 *                                                                       *
 * patchReboot indicates if the patch requires a reboot. 1=yes, 0=no     *
 *                                                                       *
 * noStop indicates that the patch should not stop services before       *
 *        applying the patch.  Stopping is default. Setting this         *
 *        to 1 = don't stop.                                             *
 *                                                                       *
 * noStart indicates that the patch should not restart services after    *
 *        applying the patch.  Restarting is default. Setting this       *
 *        to 1 = don't restart.                                          *
 *                                                                       *
 ************************************************************************/


/* Patch Info */ 
var patchName = "DSP Voice Firmware v.R5wi076";
var patchDir = "DSPFirmware_R5WI076";
var patchFile = "DSPFirmware_R5WI076.bat";
var patchReboot = 1;
var noStop = 1;
var noStart = 1;

/*Prepare Timer*/
var waitTime = "0:30";
var time = "30 seconds";

/*General Information*/
var patchPurpose = "This patch will install new DSP Firmware to the BCM 2.5 system.";
var patchTargetVersion = "BCM 2.5 GA";
var patchComponent = "DSP Firmware";
var patchComponentVersion = "Version R5wi076";

/*Problem_SRs Fixed*/
var patchDescription = "1)  This release improves echo cancellation under the condition in which a significant gain exists in the echo path, decreasing echo return loss beyond normal levels. The following changes are required:<br>a) The doubletalk thresholds are increased by approximately 6dB.<br>b) The rate of convergence is decreased to prevent the echo canceller from diverging under real doubletalk conditions.<br>c) The maximum correction to the adaptive filter is limited. This change is also required to prevent the echo canceller from diverging under real doubletalk conditions.<br><br>Change (a) causes the echo canceller to interpret the louder echo as an echo, rather than  from the remote side.<br>Changes (b) and (c) are required to reduce the negative impact of change (a) under conditions of doubletalk. These changes both reduce the speed at which the echo canceller converges.<br><br>2)  Dial tone detection period changes from 2.5s to 10s for the UK, France, and Germany. This change is to prevent false dial tone in markets in which the dial tone detection is defined with a wide band energy detector.";
var patchSRs = "<li>Q00429443: Echo on External call  on PRI Trunks.<br><li>Q00336592: AA/CCR CUT-OFFS IN MIDDLE OF PROMPTS";

/*Patch Details*/
var patchSoftware = "DSP Voice Firmware";
var patchFiles = "msc1abot.pci, msc1aovl.s, msc1apll.pci, msc1arun.s, pec1_ovl.s, pec1_run.s, pec1boot.pci, pec1pll.pci, pec3_ovl.s, pec3_run.s, pec3boot.pci, pec3pll.pci, tonedefs.dat, upld_ovl.s, upld_run.s";
var patchZIPsize = "1.61 MB";
var patchStepReboot = "Single step patch requiring a reboot.";
var patchServices = "No services are stopped during the patch.";
var patchTime = "10 minutes";

/*Warnings_Restrictions_Limitations*/
var patchWarnings = "<li>";

/*Known Problems*/
var patchProblems = "<li>";

/*Impact Assessment*/
var patchRisk = "Minimal Risk";








